# Interface ICefMenuModelDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMenuModelDelegate = interface(ICefBaseRefCounted)`

## Description

Implement this interface to handle menu model events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_menu_model_delegate_capi.h">CEF source file: /include/capi/cef_menu_model_delegate_capi.h (cef_menu_model_delegate_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefMenuModelDelegate

## Overview

### Methods

| `procedure ExecuteCommand(const menuModel: ICefMenuModel; commandId: Integer; eventFlags: TCefEventFlags);`
| `procedure MouseOutsideMenu(const menuModel: ICefMenuModel; const screenPoint: PCefPoint);`
| `procedure UnhandledOpenSubmenu(const menuModel: ICefMenuModel; isRTL: boolean);`
| `procedure UnhandledCloseSubmenu(const menuModel: ICefMenuModel; isRTL: boolean);`
| `procedure MenuWillShow(const menuModel: ICefMenuModel);`
| `procedure MenuClosed(const menuModel: ICefMenuModel);`
| `function FormatLabel(const menuModel: ICefMenuModel; var label_ : ustring) : boolean;`

## Description

### Methods

| `procedure ExecuteCommand(const menuModel: ICefMenuModel; commandId: Integer; eventFlags: TCefEventFlags);`
Perform the action associated with the specified |command_id| and optional |event_flags|. ###### Attributes GUID['{1430D202-2795-433E-9A35-C79A0996F316}']

| `procedure MouseOutsideMenu(const menuModel: ICefMenuModel; const screenPoint: PCefPoint);`
Called when the user moves the mouse outside the menu and over the owning window.

| `procedure UnhandledOpenSubmenu(const menuModel: ICefMenuModel; isRTL: boolean);`
Called on unhandled open submenu keyboard commands. |is_rtl| will be true (1) if the menu is displaying a right-to-left language.

| `procedure UnhandledCloseSubmenu(const menuModel: ICefMenuModel; isRTL: boolean);`
Called on unhandled close submenu keyboard commands. |is_rtl| will be true (1) if the menu is displaying a right-to-left language.

| `procedure MenuWillShow(const menuModel: ICefMenuModel);`
The menu is about to show.

| `procedure MenuClosed(const menuModel: ICefMenuModel);`
The menu has closed.

| `function FormatLabel(const menuModel: ICefMenuModel; var label_ : ustring) : boolean;`
Optionally modify a menu item label. Return true (1) if |label| was modified.

Generated by PasDoc 0.16.0-snapshot.